Skip to content

Migration

All operations require authentication.

3 operationsv2/vmwareCloudDirector/migration
Agent setup

List migration servicesProduction

GET
/v2/vmwareCloudDirector/migration

Returns the migration services, with their status.

Query parameters

iamTags
object

Filter resources on IAM tags

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200MigrationDetailsWithIAM[]successful operation
createdAt
read-only
stringdate-time

Datetime when migration was enabled

currentState
read-only
CurrentState

Configuration currently in force on the platform. It catches up with targetSpec once the requested change has been applied.

currentTasks
read-only
CurrentTask[]

Asynchronous operations ongoing on the VMware Cloud Director migration service

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
string

Unique identifier of the VMware Cloud Director migration service

resourceStatus
read-only
ResourceStatusEnum

Reflects the readiness of the VMware Cloud Director migration service. A new target specification request will be accepted only in READY status.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Configuration you requested. While a change is still being applied it differs from currentState.

updatedAt
read-only
stringdate-time

Datetime when migration service is modified

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/vmwareCloudDirector/migration \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "currentState": { "azName": "ca-east-bhs-a", "ips": [ "192.0.2.0/24" ], "migrationCloudUrl": "string", "organizationId": "00000000-0000-0000-0000-000000000000" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING", "targetSpec": { "ips": [ "192.0.2.0/24" ] }, "updatedAt": "2024-01-01T12:00:00Z" }]

Get a migration serviceProduction

GET
/v2/vmwareCloudDirector/migration/{migrationId}

Returns the migration service: migration cloud URL, organization ID and the IP blocks allowed to pair an on-premises site.

Path parameters

migrationId
required
string

Migration ID

Response

200MigrationDetailsWithIAMsuccessful operation
createdAt
read-only
stringdate-time

Datetime when migration was enabled

currentState
read-only
CurrentState

Configuration currently in force on the platform. It catches up with targetSpec once the requested change has been applied.

currentTasks
read-only
CurrentTask[]

Asynchronous operations ongoing on the VMware Cloud Director migration service

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
string

Unique identifier of the VMware Cloud Director migration service

resourceStatus
read-only
ResourceStatusEnum

Reflects the readiness of the VMware Cloud Director migration service. A new target specification request will be accepted only in READY status.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Configuration you requested. While a change is still being applied it differs from currentState.

updatedAt
read-only
stringdate-time

Datetime when migration service is modified

Example uses migrationId = string

$ curl https://api.eu.ovhcloud.com/v2/vmwareCloudDirector/migration/{migrationId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "azName": "ca-east-bhs-a", "ips": [ "192.0.2.0/24" ], "migrationCloudUrl": "string", "organizationId": "00000000-0000-0000-0000-000000000000" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING", "targetSpec": { "ips": [ "192.0.2.0/24" ] }, "updatedAt": "2024-01-01T12:00:00Z"}

Update a migration serviceProduction

PUT
/v2/vmwareCloudDirector/migration/{migrationId}

Replaces the IP blocks allowed to pair an on-premises site with the migration service. An IP block left out of the list is removed. Accepted only when the service is READY, then applied asynchronously: currentState catches up with targetSpec.

Path parameters

migrationId
required
string

Migration ID

Request body (required)

targetSpec
required
TargetSpec

New target specification for the VCDA migration allowed ips list

Response

200MigrationDetailssuccessful operation
createdAt
read-only
stringdate-time

Datetime when migration was enabled

currentState
read-only
CurrentState

Configuration currently in force on the platform. It catches up with targetSpec once the requested change has been applied.

currentTasks
read-only
CurrentTask[]

Asynchronous operations ongoing on the VMware Cloud Director migration service

id
read-only
string

Unique identifier of the VMware Cloud Director migration service

resourceStatus
read-only
ResourceStatusEnum

Reflects the readiness of the VMware Cloud Director migration service. A new target specification request will be accepted only in READY status.

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
TargetSpec

Configuration you requested. While a change is still being applied it differs from currentState.

updatedAt
read-only
stringdate-time

Datetime when migration service is modified

Example uses migrationId = string

$ curl https://api.eu.ovhcloud.com/v2/vmwareCloudDirector/migration/{migrationId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentState": { "azName": "ca-east-bhs-a", "ips": [ "192.0.2.0/24" ], "migrationCloudUrl": "string", "organizationId": "00000000-0000-0000-0000-000000000000" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "string", "resourceStatus": "CREATING", "targetSpec": { "ips": [ "192.0.2.0/24" ] }, "updatedAt": "2024-01-01T12:00:00Z"}